Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1200993 - RHEV guest agent for RHEL 7 PPC guests is missing
Summary: RHEV guest agent for RHEL 7 PPC guests is missing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: releng
Version: 3.5.0
Hardware: ppc64
OS: Linux
medium
medium
Target Milestone: ---
: 3.5.1
Assignee: Joey Boggs
QA Contact: Jiri Belka
URL:
Whiteboard: releng
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-11 18:53 UTC by Derrick Ornelas
Modified: 2016-02-10 20:12 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-04 15:04:22 UTC
oVirt Team: Rel-Eng
Target Upstream Version:


Attachments (Terms of Use)

Description Derrick Ornelas 2015-03-11 18:53:04 UTC
Description of problem:

The 'rhel-7-for-power-rh-common-rpms' channel is missing the rhevm-guest-agent-common.noarch package


Version-Release number of selected component (if applicable):

rhevm-guest-agent-common-1.0.10-2.el7.noarch


How reproducible:  100%


Steps to Reproduce:
1.  Install RHEL 7 for POWER in VM running in RHEV for IBM POWER environment
2.  Register guest with RHSM and enable following repos

  rhel-7-for-power-rpms
  rhel-7-for-power-rh-common-rpms


Actual results:

# yum search guest-agent
Loaded plugins: product-id, subscription-manager
Warning: No matches found for: guest-agent
No matches found


Expected results:

[root@kub1 ~]# yum list rhevm-guest-agent-common
Loaded plugins: product-id, subscription-manager
Available Packages
rhevm-guest-agent-common.noarch                1.0.10-2.el7                rhel-7-for-power-rh-common-rpms



Additional info:

Example from test VM:

# cat /etc/redhat-release; uname -m
Red Hat Enterprise Linux Server release 7.0 (Maipo)
ppc64

# yum repolist
Loaded plugins: product-id, subscription-manager
repo id                                               repo name                                                            status
rhel-7-for-power-rh-common-rpms/7Server/ppc64         Red Hat Enterprise Linux 7 for IBM Power - RH Common (RPMs)             45
rhel-7-for-power-rpms/7Server/ppc64                   Red Hat Enterprise Linux 7 for IBM Power (RPMs)                      4,644
repolist: 4,689

# yum search guest-agent
Loaded plugins: product-id, subscription-manager
Warning: No matches found for: guest-agent
No matches found



Example of package available to x86_64 guest

# yum list  *guest-agent*
Loaded plugins: product-id, subscription-manager
Available Packages
qemu-guest-agent.x86_64                                10:2.1.0-4.el7                       rhel-7-server-rpms          
rhevm-guest-agent-common.noarch                        1.0.10-2.el7                         rhel-7-server-rh-common-rpms
rhevm-guest-agent-gdm-plugin.noarch                    1.0.10-2.el7                         rhel-7-server-rh-common-rpms 
rhevm-guest-agent-pam-module.x86_64                    1.0.10-2.el7                         rhel-7-server-rh-common-rpms

Comment 1 Yaniv Lavi 2015-04-16 13:23:17 UTC
Gil , can you assign someone to test this?

Comment 2 Gil Klein 2015-04-16 14:52:29 UTC
Pavel, could you guys try it out?

Comment 4 Jiri Belka 2015-04-17 14:38:06 UTC
this bug is chaotic and logically it is for downstream, anyway there's no rhevm GA in rh-common-rpms for POWER.

~~~
[root@dhcp71-187 ~]# subscription-manager repos | grep 'rhel-7-.*-rh-common-rpms'                                                                                                                                   
Repo ID:   rhel-7-for-power-eus-rh-common-rpms
Repo ID:   rhel-7-for-power-rh-common-rpms

[root@dhcp71-187 ~]# yum search rhev
Loaded plugins: product-id, subscription-manager
================================================================================================ N/S matched: rhev =================================================================================================
fence-agents-rhevm.ppc64 : Fence agent for RHEV-M

  Name and summary matches only, use "search all" for everything.
~~~

fyi if upstream then it is in epel https://dl.fedoraproject.org/pub/epel/7/ppc64/o/

Comment 5 Jiri Belka 2015-04-17 15:07:42 UTC
bad bad subscription-manager :) `subscription-manager repos' doesn't list enabled repos by default but all of them, ccc.

ok, rhevm-guest-agent-common-1.0.10-2.el7.noarch

got installed from rhel-7-for-power-rh-common-rpms

Comment 6 Sandro Bonazzola 2015-09-04 14:30:40 UTC
Shouldn't this move to closed?


Note You need to log in before you can comment on or make changes to this bug.